Package org.eclipse.birt.report.model.api.elements.structures

# Class OdaResultSetColumn

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.ResultSetColumn
org.eclipse.birt.report.model.api.elements.structures.OdaResultSetColumn

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class OdaResultSetColumn extends ResultSetColumn

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NATIVE_DATA_TYPE_MEMBER`
Name of the member indicating the native (database) data type code.
`static final String`
`NATIVE_NAME_MEMBER`
The native name for the result set.
`static final String`
`STRUCTURE_NAME`
Name of this structure.

### Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.ResultSetColumn

`DATA_TYPE_MEMBER, NAME_MEMBER, POSITION_MEMBER, RESULT_SET_COLUMN_STRUCT`

## Constructor Summary

Constructors
Constructor
Description
`OdaResultSetColumn()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`Integer`
`getNativeDataType()`
Returns the native data type.
`String`
`getNativeName()`
Returns the native column name.
`String`
`getParamName()`
Returns the report column name.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setNativeDataType(Integer dataType)`
Sets the result set column native data type.
`void`
`setNativeName(String name)`
Sets the native oda dataset parameter name.

### Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.ResultSetColumn

`getColumnName, getDataType, getPosition, setColumnName, setDataType, setPosition, validate`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### NATIVE_DATA_TYPE_MEMBER

public static final String NATIVE_DATA_TYPE_MEMBER
Name of the member indicating the native (database) data type code.

See Also:
  - Constant Field Values

### NATIVE_NAME_MEMBER

public static final String NATIVE_NAME_MEMBER
The native name for the result set.

See Also:
  - Constant Field Values

## Constructor Details

### OdaResultSetColumn

public OdaResultSetColumn()

## Method Details

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Overrides:
  `handle` in class `ResultSetColumn`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Overrides:
  `getIntrinsicProperty` in class `ResultSetColumn`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Overrides:
  `setIntrinsicProperty` in class `ResultSetColumn`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getNativeDataType

public Integer getNativeDataType()
Returns the native data type.

Overrides:
  `getNativeDataType` in class `ResultSetColumn`
Returns:
  the result set column native data type.

### setNativeDataType

public void setNativeDataType(Integer dataType)
Sets the result set column native data type.

Overrides:
  `setNativeDataType` in class `ResultSetColumn`
Parameters:
  `dataType` - the native data type to set.

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Specified by:
  `getStructName` in interface `IStructure`
Overrides:
  `getStructName` in class `ResultSetColumn`
Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### setNativeName

public void setNativeName(String name)
Sets the native oda dataset parameter name.

Parameters:
  `name` - the native name

### getParamName

public String getParamName()
Returns the report column name.

Returns:
  report column name

### getNativeName

public String getNativeName()
Returns the native column name.

Returns:
  native column name